Subject: [Roll] I-D Action: draft-ietf-roll-dao-projection-17.txt

From: [email-masked]
Date: Thu, 03 Jun 2021 10:14:12 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Routing Over Low power and Lossy networks WG of the IETF.

        Title           : Root initiated routing state in RPL
        Authors         : Pascal Thubert
                          Rahul Arvind Jadhav
                          Matthew Gillmore
	Filename        : draft-ietf-roll-dao-projection-17.txt
	Pages           : 51
	Date            : 2021-06-03

Abstract:
   This document extends RFC 6550 and RFC 6553 to enable a RPL Root to
   install and maintain Projected Routes within its DODAG, along a
   selected set of nodes that may or may not include self, for a chosen
   duration.  This potentially enables routes that are more optimized or
   resilient than those obtained with the classical distributed
   operation of RPL, either in terms of the size of a Routing Header or
   in terms of path length, which impacts both the latency and the
   packet delivery ratio.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-roll-dao-projection/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-roll-dao-projection-17.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-roll-dao-projection-17

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 3 Jun 2021 17:23:47 +0000

Dear chairs:

I believe that this document is ready for WGLC, or at least for a deep review in preparation.
This version answers the open questions below:

- Lifetime Unit: could we use a different unit for P-DAO? 
	-> not done yet, do we need this?
- How to differentiate a P-DAO from a normal DAO in a local instance? 
	-> new P flag
- Make P-DAO bidirectional? 
	-> no, but we could correlate 2 Tracks being exactly reverse in the future
- Who sends the PDR? Does it have to be the ingress? 
	-> Yes, and it owns the instance ID namespace
- Maintaining the sibling state. Should we have text on using RFC 8505 there? 
	-> done
- Whether ingress and egress are listed in NPO? Today they are both, ingress to indicate the packet source in case of encapsulation and for SRH-6LoRH compression reference and egress to build the full SRH-6LoRH. Note that the ingress must consume the first entry and use it as source. 
	-> all specified, the non storing mode does not indicate the first hop
- Error flows, which ICMP errors and to which root? The draft should present the flows. 
	-> could be a WG discussion

Ideally at a next interim we could go through the open issues / tickets make sure all is resolved.

Keep safe;

Pascal

-----Original Message-----
From: Roll <[email-masked]> On Behalf Of [email-masked]
Sent: jeudi 3 juin 2021 19:14
To: [email-masked]
Cc: [email-masked]
Subject: [Roll] I-D Action: draft-ietf-roll-dao-projection-17.txt

Abstract:

_______________________________________________
Roll mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/roll